Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Edenred - APM ile Ödeme Alma

POST https://api-test.fincraft.com.tr/api/v1/payments/apm-methods/auth

Auth - Request Body

{
    "cardNumber": "",
    "apmType": "EDENRED",
    "referenceId": "{{$guid}}",
    "amount": 5,
    "currency": "TRY",
    "clientIp": "192.168.1.100",
    "products": [
      {
        "name": "Ürün 1",
        "externalId": "PROD-001",
        "price": 5
      }
    ]
}

Auth - Response Body

{
    "response": {
        "cardDetails": {
            "cardNumber": "603681****2253"
        },
        "paymentStatus": "WAITING"
    }
}
Complete Aşaması: Auth edildikten sonra kullanıcıdan alınan OTP iletilmelidir: /api/v1/payments/apm-methods/complete

Complete - Request Body

{
    "referenceId": "a6cf0a96-7a4d-45b9-acd7-d546bf5e351a",
    "otpVerifyCode": "784294"
}

Complete - Response Body

{
    "response": {
        "referenceId": "a6cf0a96-7a4d-45b9-acd7-d546bf5e351a",
        "status": "SUCCESS",
        "apmTransactionId": "25922413424264119",
        "confirmRequired": false
    }
}